np_client_free
np_client_new
np_client_start_service
np_client_t
np_error_t
np_notify_cb_t
np_observe_notification
np_observe_notifications
np_post_notification
NP_SERVICE_NAME
np_set_notify_callback

## np_client_start_service()

LIBIMOBILEDEVICE_API np_error_t np_client_start_service | ( | idevice_t | device,
|  | np_client_t * | client,
|  | const char * | label )

Starts a new notification proxy service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated np_client_t upon successful return. Must be freed using np_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  NP_E_SUCCESS on success, or an NP_E_* error code otherwise.